Bug 110277 - libpvm3.a uses sys_errlist and sys_nerr
libpvm3.a uses sys_errlist and sys_nerr
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pvm (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 15:10 EST by Nils O. Selåsdal
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-09 13:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils O. Selåsdal 2003-11-17 15:10:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Galeon/1.3.10

Description of problem:
I thing the compiler output speaks for itself:

gcc -O2 -march=i686 -fomit-frame-pointer -o
/home/noselasd/pvm3/bin/LINUXI386/slave_prime slave_prime.c -Wall -lpvm3 \
        -I/usr/share/pvm3/include -L/usr/share/pvm3/lib/LINUXI386 -lm
slave_prime.c: In function `calcprimes':
slave_prime.c:40: warning: dereferencing type-punned pointer will
break strict-aliasing rules
slave_prime.c: In function `main':
slave_prime.c:58: warning: passing arg 1 of `pvm_upkbyte' from
incompatible pointer type
/usr/share/pvm3/lib/LINUXI386/libpvm3.a(lpvmgen.o)(.text+0x292): In
function `pvmlogperror':
: warning: `sys_errlist' is deprecated; use `strerror' or `strerror_r'
instead
/usr/share/pvm3/lib/LINUXI386/libpvm3.a(lpvmgen.o)(.text+0x289): In
function `pvmlogperror':

Though the release-notes suggests otherwise:
* Added use of new strerror() function in place of direct use of
  sys_errlist/sys_nerr, for systems that don't grok that.


Version-Release number of selected component (if applicable):
pvm-3.4.4-14

How reproducible:
Always

Steps to Reproduce:
1. Compile a program that uses libpvm3
(/usr/share/pvm3/lib/LINUXI386/libpvm3.a)

Actual Results:  See above.

Expected Results:  libpvm3.a should use strerror_r/strerror instead of
sys_errlist
Ditto for sys_nerr�

Additional info:
Comment 2 Nils O. Selåsdal 2003-11-19 08:27:06 EST
Nice. Seems ok now.

Note You need to log in before you can comment on or make changes to this bug.